//-----------------------------------------------------------------------
// <copyright file="Features.RefAndGroupTests.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
// <summary>
//     Tests for FeatureGroups and FeatureRefs
// </summary>
//-----------------------------------------------------------------------

namespace Microsoft.Tools.WindowsInstallerXml.Test.Tests.Integration.BuildingPackages.Features
{
    using System;
    using System.IO;
    using System.Text;
    using System.Collections.Generic;
    using Microsoft.VisualStudio.TestTools.UnitTesting;

    using Microsoft.Tools.WindowsInstallerXml.Test;

    /// <summary>
    /// Tests for FeatureGroups and FeatureRefs
    /// </summary>
    [TestClass]
    public class RefAndGroupTests
    {
        [TestMethod]
        [Description("Verify that features can be referenced")]
        [Priority(1)]
        [Ignore]
        public void FeatureRefs()
        {
        }

        [TestMethod]
        [Description("Verify that feature group can be created in Fragments/FeatureRefs and referenced")]
        [Priority(1)]
        [Ignore]
        public void FeatureGroups()
        {
        }

        [TestMethod]
        [Description("Verify that features can be nested")]
        [Priority(1)]
        [Ignore]
        public void NestedFeatures()
        {
        }

        [TestMethod]
        [Description("Verify that feature groups can be nested and referenced")]
        [Priority(1)]
        [Ignore]
        public void NestedFeatureGroups()
        {
        }

        [TestMethod]
        [Description("Verify that the Product element can contain Features, FeatureGroups, FeatureRefs and FeatureGroupRefs")]
        [Priority(1)]
        [Ignore]
        public void ComplexFeatureUsage()
        {
        }
    }
}
